USER_ACCOUNT_INFO_PROMPT = """我有一个小红书平台的创作账号，账号信息如下：

- 账号名称：{account_name}

- 账号描述：{account_description}

- 还有头像图片

- 还有历史创作的{note_count}个帖子
"""

NOTE_PROMPT = """这是第{note_index}个帖子
标题：{title}
正文: {body_text}
还有如下{image_count}张图片
"""

HISTORY_NOTE_SUMMARY = """以上就是我历史创作的{note_count}个帖子

基于我历史创作的帖子，总结我创作的选题模式：
- 每个选题模式有区分度，即该模式下的选题模式与其他模式下的选题模式有明显的区别；
    - 选题模式之间不能出现交集、重复，每一种选题模式应该都是独立其他模式的存在；
    - 请基于选题真正的`核心`进行选题模式的区分，不要浮于表面，发现真正创作的内核；
    - 只有基于`核心`才能真正区分选题模式；
    - 选题模式要能体现账号的人设；
    - 模式的包含度可以适当宽泛，只要能涵盖真正的选题核心即可；输出的选题模式请控制在3个以内；
- 选题模式是对选题的创作进行分析，即该账号基于人设产生选题的模式，基于人设结合了什么亮点才产生了符合人设的选题创作；
- 选题模式是需要有代表性的，如果历史选题中的该选题模式样本比较小，则不适合提取选题模式；
- 挖掘该账号的选题创作模式，账号的选题创作模式应该是一个或多个，每一个创作模式由以下结构组成：
    - 选题模式
        - 模式是指账号的选题创作模式；
        - 模式应该'xxxx模式'的表达形式
    - 选题创作方式
        - 选题创作方式是指基于该选题模式下，如何进行选题创作；
    - 选题模式要点
        - 模式要点指的是：基于选题模式、账号人设，需要什么样的要点才能产生该选题模式下的好选题；
    - 选题模式灵感
        - 如果要产生该模式下的选题，可以从哪些角度进行创作；
        - 请结合该选题模式下的历史选题进行分析；
    - 历史优质选题
        - 优质选题是指在该选题模式下，最具有代表性、最核心的、最重要的、最具有特色的选题；
        - 请输出不超过5个优质选题；按照与选题模式的关联度倒序排序；

要求如下：
- 提取的结果的要求：
    - 请只描述客观事实，不要加入任何'主观'评价性语言；
    - 要求用词精准，不要使用模糊、不确定的词语；
    - 语言表达上注意不要使用倒装句、长句、复杂句，尽量使用陈述句、简单句；
- 请直接输出JSON格式，不要有除了JSON格式之外的其他输出；
- 请按照以下模式以纯JSON格式输出答案。JSON对象必须是可解析的。不要输出json以外的任何内容，也不要偏离这个模式：
{{
    "选题模式": [
        {{
            "选题模式": "选题模式名称1",
            "选题创作方式": "选题创作方式，类型为str",
            "选题模式要点": "选题模式要点，类型为str"
            "选题模式灵感": "选题模式灵感，类型为str",
            "历史优质选题": "历史优质选题，类型为list[str]"
            "选题模式产生的逻辑": "选题模式产生逻辑，类型为str"
        }},
        {{
            "选题模式": "选题模式名称2",
            "选题创作方式": "选题创作方式，类型为str",
            "选题模式要点": "选题模式要点，类型为str"
            "选题模式灵感": "选题模式灵感，类型为str",
            "历史优质选题": "历史优质选题，类型为list[str]",
            "选题模式产生的逻辑": "选题模式产生逻辑，类型为str"
        }},
        {{
            "选题模式": "选题模式名称N",
            "选题创作方式": "选题创作方式，类型为str",
            "选题模式要点": "选题模式要点，类型为str"
            "选题模式灵感": "选题模式灵感，类型为str",
            "历史优质选题": "历史优质选题，类型为list[str]"
            "选题模式产生的逻辑": "选题模式产生逻辑，类型为str"
        }}
    ]
}}
"""