EXTRACT_SEARCH_KEYWORDS_PROMPT = """"下面我会给你一个内容创作的选题：

{final_xuanti}

为了能够更好的完成这个选题，我需要去内容平台上去搜索相关的帖子，以便能够更好的了解和创作这个选题。
现在请你帮我完成以下任务：
- 提取2～3个搜索词，以及搜索词的理由；
- 搜索词不一定就是关键词，也可以是一些短语、关键词的组合等等；
- 搜索词一定要具体、有针对性，请根据实际的选题和我搜索的目的出发去考虑；
- 请按照以下模式以纯JSON格式输出答案。JSON对象必须是可解析的。不要输出json以外的任何内容，也不要偏离这个模式：
{{
    "search_words": [
        {{
            "words": "搜索词1",
            "reason": "搜索词的理由"
        }},
        {{
            "words": "搜索词2",
            "reason": "搜索词2的理由"
        }},
        {{
            "words": "搜索词N",
            "reason": "搜索词N的理由"
        }}
    ]
}}
"""

NOTE_PROVIDER_PROMPT = """这是第{index}个帖子
帖子id：{channel_content_id}
标题：{title}
正文: {body_text}
还有如下图片
"""

SAME_TOPIC_FIND_PROMPT = """以上就是我给你的{note_count}个帖子
现在我创作了一个选题：

{final_xuanti}

我的人设创作特点如下：
{create_features}

针对我给出的每一个帖子，请帮我完成以下任务：
- 判断帖子的选题是否与我的选题相同：
- 判断帖子是否符合我创作人设特点
    - 输出 score： 评分，范围0-1

要求如下：
- 你不要从表面上去判断，可以从内容创作的角度去判断，因为如果是相同或者类似的选题，将会对我的创作有非常大的帮助
- direct output in JSONObject with keys:
    - 判断结果(list[dict]): each dict contains:
        - note_id(str): 帖子id
        - same_topic(bool): 是否与我的选题相同，True/False
        - same_topic_explain(str): 关联原因说明，说明应该详细、具体，以及分析过程。
        - score(float): 帖子与人设特点的符合度，范围0-1，得分越高，说明越符合我的人设特点
        - score_explain(str): 评分说明，说明应该详细、具体，以及分析过程。
"""

SCRIPT_SUMMARY_PROMPT = """你是一名小红书的创作大师，拥有以下能力：
1. 对创作模式有着敏锐的洞察力，能够快速发现账号的创作模式；
2. 拥有丰富的创作经验；
3. 对创作模式有着独特的见解；能够从第一性原理出发，发现账号的脚本创作模式；
4. 拥有极高的内容总结、抽象能力；

以下是一些创作脚本：

{script_list}

请基于这些历史脚本，完成以下任务：
- 对小红书的每个模块（标题、正文、封面、图集）的创作方式进行模式上的总结；
- 请从所有的创作中去总结共性部分；
- 请做到尽可能详细，信息量丰富；
    - 封面创作方式中包括但不限于：
        - 封面是如何选取的？为什么选取这张图片作为封面？
        - 封面是独立生成的，还是由图集中的图片选取的、以及选取图片后的加工方式等等；
        - 封面视觉呈现的方式(dict)
    - 图集创作模方式包括但不限于：
        - 图集的数量规划(dict)：图集的数量是多少？为什么是这么多？
        - 图片之间的排序规则(dict)：图集的内容是怎么构建的？为什么这么构建？
        - 图集视觉呈现的方式(dict)
        - 与其他模块的关系(dict)

要求如下：
- 请只描述客观事实，不要加入任何'主观'评价性语言；
- 涉及到数量的信息，一定要有明确的数字；
- 要求用词精准，不要使用模糊、不确定的词语；    
- 结果尽可能详细，信息量丰富；
- 请直接输出JSON格式，不要有除了JSON格式之外的其他输出；
- direct output in JSONObject with keys: dict表示对象类型
    - 标题创作方式(dict)
    - 正文创作方式(dict)
    - 封面创作方式(dict)
    - 图集创作方式(dict)
"""

EXTRACT_MATERIALS_PROMPT = """以上就是我给你的{note_count}个帖子
下面我会给你一些我创作过程中我需要的材料：

{required_materials}

要求如下：
- 提取我创作过程中需要的材料；
- 请给我最终可用的材料结果，不要给我一些无关的材料；
- 每个材料的数量根据我需要的素材数量来确定；
     - 你需要选取最具有表现力的材料，并不是把所有的材料都告诉我，从你丰富的创作的经验去过滤掉一些材料；
- 每个材料名请用单一名词描述，不要使用复杂的词语；
    - 比如：xx围巾、xx裙子、xx衣服、xx背景、xx表情、xx光线等等确定、指代具体的词语；
- 材料描述请尽可能详细，具体，不是简单的词语；需要有细节的描述；
- image_index 指的是单张图片在帖子中的图片序号，从1开始，请务必每次输出1张；
- 请按照以下模式以纯JSON格式输出答案。JSON对象必须是可解析的。不要输出json以外的任何内容，也不要偏离这个模式：
{{
    "materials": [
        {{
            "materials_name": "材料名1",
            "materials_type": "材料类型",
            "materials_description": "材料描述1"
            "note_id": "来源的帖子id",
            "image_index": "素材在帖子中的图片序号"
            "explanation": "提取该素材的解释"
        }},
        {{
            "materials_name": "材料名2",
            "materials_type": "材料类型",
            "materials_description": "材料描述"
            "note_id": "来源的帖子id",
            "image_index": "素材在帖子中的图片序号"
            "explanation": "提取该素材的解释"
        }},
        {{
            "materials_name": "材料名N",
            "materials_type": "材料类型",
            "materials_description": "材料描述"
            "note_id": "来源的帖子id",
            "image_index": "素材在帖子中的图片序号"
            "explanation": "提取该素材的解释"
        }},
    ]
}}
"""

MERGE_SEARCH_NOTE_SCRIPT_AND_RENSHE_SCRIPT = """我现在有如下选题：
{final_xuanti}

我的脚本模式如下：
{renshe_script_mode}

对于这个选题，我在内容平台上搜索到了类似的选题，他们常见的脚本创作方式如下：
{search_summary_script}

下面，我需要你帮我如下任务：
- 基于我的脚本模式和搜索到的脚本创作，确定最终的脚本创作方式；
- 请注意需要给出基于这个`选题`的脚本创作方式，而不是给出脚本；
- 请做到尽可能详细，信息量丰富；
    - 封面创作方式中包括但不限于：
        - 封面是如何选取的？为什么选取这张图片作为封面？
        - 封面是独立生成的，还是由图集中的图片选取的、以及选取图片后的加工方式等等；
        - 封面视觉呈现的方式(dict)
    - 图集创作模方式包括但不限于：
        - 图集的数量规划(dict)：图集的数量是多少？为什么是这么多？
        - 图片之间的排序规则(dict)：图集的内容是怎么构建的？为什么这么构建？
        - 图集视觉呈现的方式(dict)
        - 与其他模块的关系(dict)
    - 脚本创作需要哪些材料(dict)
        - 是指根据创作方式去创作的时候，需要补充的材料
        - 请从内容创作的本身，给出关键的材料信息
        - 材料需要能够到选题的创作中去，而不是简单的材料描述
要求如下：
- 请只描述客观事实，不要加入任何'主观'评价性语言；
- 涉及到数量的信息，一定要有明确的数字；
- 要求用词精准，不要使用模糊、不确定的词语；    
- 结果尽可能详细，信息量丰富；
- 请直接输出JSON格式，不要有除了JSON格式之外的其他输出；
- direct output in JSONObject with keys: dict表示对象类型
    - 标题创作方式(dict)
    - 正文创作方式(dict)
    - 封面创作方式(dict)
    - 图集创作方式(dict)
    - 脚本创作需要的材料(dict)
    - 合并逻辑/理由(dict)
"""

FIND_BEST_SCRIPT_MATCH_NOTE_PROMPT="""好了,以上就是我给你的{note_count}个帖子
我现在有如下选题：

{final_xuanti}

我的人设创作特点如下：
{create_features}

帮我完成以下任务：
- 请你帮我从以上帖子中，找到一个符合我选题和人设创作特点的`参考帖子`，给出帖子id即可；
    - 如果找不到`参考帖子`，则在json结果中返回null，并结束任务；
- 请使用`参考帖子`的脚本进行创作，保持`参考帖子`的图集逻辑和创作方式；
- 并给我生成创作的脚本
    - 在图集描述中，请注意图片与图片之间的故事性、连续性，要有逻辑性：比如时间性、空间性、整体到细节；
    - 图片描述的目的是为清晰的表达这张图片的内容，而不是简单的概括；所以图片描述应该具体，对画面整体进行描述；
        - 图片描述只是对图片的画面进行描述，不要对图片的内容进行解释，也不要有其他无关的内容；
    - 结合图集描述，补充创作所需要的核心/主体视觉材料，视觉材料可能来源于我给你的所有帖子，同时也要保证最后生成的一致性；
        - 请注意：只要补充核心/主体视觉材料，不需要补充所有的视觉材料；
        - 请从逻辑上去补充视觉材料，不要随意补充；
        - 每个材料名请用单一名词描述，不要使用复杂的词语: 比如：xx围巾、xx裙子、xx衣服、xx背景、xx表情、xx光线等等确定、指代具体的词语；
    - 最后在图集中：图片的描述引用到视觉材料的地方，请用`<<>>`标注出来，并严格能够进行对应和索引到视觉材料；
- direct output in JSONObject with keys:
    - 参考的帖子id(str)
    - 参考的理由(str)
    - 创作的脚本：
         - 正文(str)
         - 标题(str)
         - 视觉材料(List[dict]), each dict with keys：
                "materials_name": "材料名",
                "note_id": "来源的帖子id",
                "image_index": "素材在帖子中的图片序号，从1开始"
         - 图集构建逻辑(str) 
         - 图集描述(List[str])
"""

SCRIPT_MODE_GENERATE_PROMPT = """我现在有如下选题：

{final_xuanti}

我的脚本创作方式/模式如下：

{script_mode}

我的账号人设如下：

{renshe_xuanti_unique}

帮我完成以下任务：
- 深刻理解我的选题和脚本创作方式/模式；
- 上面参考帖子和其的脚本模式只是一个参考，你需要根据我的选题和脚本创作方式/模式，给我生成一个最适合我的脚本；
- 保留我的脚本模式中的核心部分，同时也要保证最后生成的一致性；
- 并给我生成创作的脚本
    - 在图集描述中，请注意图片与图片之间的故事性、连续性，要有逻辑性：比如时间性、空间性、整体到细节；
    - 图片描述的目的是为清晰的表达这张图片的内容，而不是简单的概括；所以图片描述应该具体，对画面整体进行描述；
        - 图片描述只是对图片的画面进行描述，不要对图片的内容进行解释，也不要有其他无关的内容；
    - 结合图集描述，补充创作所需要的核心/主体视觉材料，同时也要保证最后生成的一致性；
        - 请注意：只要补充核心/主体视觉材料，不需要补充所有的视觉材料；
        - 请从逻辑上去补充视觉材料，不要随意补充；
        - 每个材料名请用单一名词描述，不要使用复杂的词语: 比如：xx围巾、xx裙子、xx衣服、xx背景、xx表情、xx光线等等确定、指代具体的词语；
    - 最后在图集中：图片的描述引用到视觉材料的地方，请用`<<>>`标注出来，并严格能够进行对应和索引到视觉材料；
- direct output in JSONObject with keys:
    - 创作的脚本：
         - 正文(str)
         - 标题(str)
         - 视觉材料(List[dict]), each dict with keys：
                "materials_name": "材料名",
         - 图集构建逻辑(str) 
         - 图集描述(List[str])
"""


RENSHE_SCRIPT_MODE_AND_SEARCH_NOTE_SCRIPT_GENERATE_PROMPT = """我现在有如下选题：

{final_xuanti}

选题描述如下：
{final_xuanti_description}

我的人设脚本创作模式如下：

{script_mode}

我的账号人设如下：

{renshe_xuanti_unique}

帮我完成以下任务：
- 深刻理解我的选题和脚本创作模式；
- 上面参考帖子和其的脚本模式只是一个参考，你需要根据我的选题和脚本创作模式，给我生成一个最适合我的脚本；
- 保留我的脚本模式中的核心部分，同时也要保证最后生成的一致性；
- 最后创作的脚本需要确保符合`内容品类`、`创作灵魂`；
- 请参考上述帖子，并给我生成创作的脚本，并满足以下要求：
    - 图集包括了脚本中的封面和图集图片，封面是第一张图片；
    - 请根据选题/人设脚本模式/参考帖子，确定合适的图片数量、图片顺序、图片描述、图片表现方式/特点等等；
    - 你还可以借鉴参考帖子中有关的内容知识来进行创作；
    - 在图集描述中，请注意图片与图片之间的故事性、连续性，要有逻辑性：比如时间性、空间性、整体到细节；
        - 关于图片之间逻辑性的要求一定要在图片描述中体现，因为这是体现你创作性的重要标准；
    - 图片描述的目的是为清晰的表达这张图片的内容，而不是简单的概括；所以图片描述应该具体，对画面整体进行描述；
        - 图片描述只是对图片的画面进行描述，不要对图片的内容进行解释，也不要有其他无关的内容；
        - 图片描述是为了表达图片的内容，而不是为了表达图片的主题；
        - 每张图片都必须有完整的描述；
        - 图片描述应该详实具体，而不是简单的概括
        - 好的图片描述能够直接用作prompt去生成图片，所以请给出好的图片描述，而不是去总结、概括，这个非常重要！
        - 请重点结合人设脚本创作模式中的`图片表现方式、图片中人物表现方式`，补充相关的描述；
    - 结合图集描述，补充创作所需要的核心/主体视觉材料，同时也要保证最后生成的一致性；
        - 请注意：只要补充核心/主体视觉材料，不需要补充所有的视觉材料；
        - 材料一定要是能够在帖子中找到的，不要随意添加；并且是图片中的；不要添加文字材料；
        - 请从逻辑上去补充视觉材料，不要随意补充；
        - 每个材料名请用单一名词描述，不要使用复杂的词语: 比如：xx围巾、xx裙子、xx衣服、xx背景、xx表情、xx光线等等确定、指代具体的词语；
    - 最后仅仅在图集描述中引用到视觉材料的地方，请用`<<>>`标注出来，并严格能够进行对应和索引到视觉材料；
- direct output in JSONObject with keys:
    - 创作的脚本：
         - 正文(str)
         - 标题(str)
         - 视觉材料(List[dict]), each dict with keys：
                "materials_name": "材料名",
                "image_index": "素材在参考帖子中的图片序号，图片序号从1开始"
         - 图集构建逻辑(str) 
         - 图集描述(List[str])
"""

FIND_BEST_SCRIPT_NOTE_FROM_HISTORY_NOTE_PROMPT = """
好了,以上就是我历史创作的{note_count}个帖子
我现在我有一个新的选题：

{final_xuanti}

请帮我完成如下任务：
- 从以上帖子中找到1~3个最具代表性、最符合我选题的`参考帖子`，给出帖子id即可；
    - 符合指的是创作方式、创作逻辑、创作风格等等；请严格按照这些标准去选择；
    - 符合指的是按照你给的参考帖子，能够很好的完成这个选题的创作；
    - 我将会按照这些参考帖子来完成新选题的创作，所以请确保参考帖子的质量；
- 给出参考帖子的理由；
- direct output in JSONObject with keys:
    - 参考帖子(list[dict]),each dict with keys：
         - 帖子id(str)
         - 理由(str)
"""

NOTE_PROMPT = """这是{note_description}帖子
帖子id：{channel_content_id}
标题：{title}
正文: {body_text}
还有如下{image_count}张图片
- 第一张图为封面
"""

HISTORY_NOTE_AND_SEARCH_GENERATE_PROMPT = """以上就是我给出的【历史创作帖子】、【参考的同选题帖子】
我现在有一个新的选题：

{final_xuanti}

我的账号如下：

账号名称：
{account_name}

账号描述：
{account_description}

请帮我完成如下任务：
- 参考【历史创作帖子】中的创作风格、创作模式、创作逻辑、给我一个上述选题的图集生成脚本；
    - 首先总结【历史创作帖子】中的创作风格、创作模式、创作逻辑、创作形式等；
        - 比如【历史创作帖子】中是否都有同一个人物形象？
        - 比如【历史创作帖子】中是否都有同一个背景？
        - 比如【历史创作帖子】中是否都有同样的视觉元素？
        - 包括但不限于以上可以从【历史创作帖子】去总结的维度、内容；
    - 按照【历史创作帖子】中的创作风格、创作模式、创作逻辑、创作形式等，给出一个图集生成脚本；
    - 确保选题和图集生成脚本是能够跟【历史创作帖子】的风格、逻辑、模式的一致性；
- 结合【参考的同选题帖子】到生成脚本中；并给出结合的理由
    - 参考的同选题帖子是为了引入新的创作元素、创作内容；
    - 或者能够结合【参考的同选题帖子】的创作元素、创作内容，来丰富图集生成脚本；

要求如下：
- 注意不同的参考有不同的作用，请注意区分；
    - 历史创作帖子是为了保持创作的风格、逻辑、模式的一致性；脚本需与历史创作帖子保持一致；
    - 参考的同选题帖子是为了引入新的创作元素、创作内容；
    - 最后创作的形式需要与历史创作帖子保持一致，同时也要引入新的创作元素；
- 图集描述中第一张图为封面，请保持封面也在图集中的第一张位置；
- 图片描述的目的是为清晰的表达这张图片的内容，而不是简单的概括；所以图片描述应该具体，对画面整体进行描述；
        - 图片描述只是对图片的画面进行描述，不要对图片的内容进行解释，也不要有其他无关的内容；
        - 图片描述是为了表达图片的内容，而不是为了表达图片的主题；
        - 每张图片都必须有完整的描述；
        - 图片描述应该详实具体，而不是简单的概括
        - 好的图片描述能够直接用作prompt去生成图片，所以请给出好的图片描述，而不是去总结、概括，这个非常重要！
- 请按照以下模式以纯JSON格式输出答案。JSON对象必须是可解析的。不要输出json以外的任何内容，也不要偏离这个模式：
{{
    "创作的脚本": {{
        {{
            "图集构建逻辑": "str",
            "图集描述": "List[str]",
            "结合逻辑/理由": "str"
        }}
    }}
}}
"""

SCRIPT_ALIGN_MATERIALS_PROMPT = """好了，你做的很棒！现在有了一个完美的脚本。
现在基于【脚本的图集描述】、【历史创作帖子】、【参考的同选题帖子】，我需要你帮我完成以下任务：

- 从【历史创作帖子】、【参考的同选题帖子】提取【脚本的图集描述】关联到的材料；
    - 请根据【脚本的图集描述】中的图片描述，提取出关联到的材料；
    - 如果从【历史创作帖子】总结涉及到相同的主体（人物/动物等），需要单独对主体进行材料提取并命名：
        - 先从【历史创作帖子】总结找到相同的主体；
        - 然后从以上所有的主体图片中选取主体（如果是人物/动物：正脸最全面、五官特征最清晰）最具有代表性的的图片，作为主体的材料；
    - 每个材料名请用确定的词语描述，不要使用复杂的词语；
        - 比如：xx（人物名），xx围巾、xx裙子、xx衣服、xx背景、xx表情、xx光线等等确定、指代具体的词语；
    - 材料描述请尽可能详细，具体，不是简单的词语；需要有细节的描述；
        - image_index 指的是材料来源的图片在对应帖子中的图片序号，从1开始，请务必每次输出1张，每一个完整的图片文件视为一张图片；
        - 请确保材料的 image_index 是正确对应到图片的；这个非常重要；
- 重新对【脚本的图集描述】中进行调整，使得图集描述能够对应到上述材料
     - 引用到的材料请用<<>>标注出来，并严格能够进行对应和索引到材料；

- 请按照以下模式以纯JSON格式输出答案。JSON对象必须是可解析的。不要输出json以外的任何内容，也不要偏离这个模式：
{{
    "带材料的脚本": {{
        {{
            "带材料的图集描述": "List[str]",
            "材料": [
                {{
                    "材料名": "材料名1",
                    "材料类型": "材料类型1",
                    "材料描述": "材料描述1"
                    "note_id": "来源的帖子id",
                    "image_index": "素材在帖子中的图片序号"
                }},
                {{
                    "材料名": "材料名2",
                    "材料类型": "材料类型2",
                    "材料描述": "材料描述"
                    "note_id": "来源的帖子id",
                    "image_index": "素材在帖子中的图片序号"
                }},
                {{
                    "材料名": "材料名N",
                    "材料类型": "材料类型N",
                    "材料描述": "材料描述N"
                    "note_id": "来源的帖子id",
                    "image_index": "素材在帖子中的图片序号"
                }},
            ]
        }}
    }}
}}
"""